Request Sender ID
curl --request POST \
--url https://api.dojah.io/api/v1/messaging/sender_id \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sender_id": "<string>"
}
'import requests
url = "https://api.dojah.io/api/v1/messaging/sender_id"
payload = { "sender_id": "<string>" }
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
AppId: '<appid>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({sender_id: '<string>'})
};
fetch('https://api.dojah.io/api/v1/messaging/sender_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"message": "Sender ID Request Successful, you will get an email once its Activated."
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Request Sender ID
An endpoint that allows you to register Sender ID
POST
/
api
/
v1
/
messaging
/
sender_id
Request Sender ID
Application ID from dashboard
BODY PARAMS
Sender ID you wish to register, should be less than 11 Characters
RESPONSES
json
{
"entity": {
"message": "Sender ID Request Successful, you will get an email once its Activated."
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I